class ParameterList(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
class ParameterDict(Module):
  __parameters__ = ["model->classifier->bias", "model->classifier->weight", "model->bert->pooler->dense->bias", "model->bert->pooler->dense->weight", "model->bert->encoder->layer->4->output->LayerNorm->weight", "model->bert->encoder->layer->4->attention->output->LayerNorm->weight", "model->bert->encoder->layer->3->output->LayerNorm->weight", "model->bert->encoder->layer->3->attention->output->LayerNorm->weight", "model->bert->encoder->layer->2->output->LayerNorm->weight", "model->bert->encoder->layer->2->attention->output->LayerNorm->weight", "model->bert->encoder->layer->1->output->LayerNorm->weight", "model->bert->encoder->layer->1->attention->output->LayerNorm->weight", "model->bert->encoder->layer->0->output->LayerNorm->weight", "model->bert->encoder->layer->0->attention->output->LayerNorm->weight", "model->bert->embeddings->LayerNorm->weight", "model->bert->embeddings->position_embeddings->weight", "model->bert->embeddings->token_type_embeddings->weight", "model->bert->embeddings->word_embeddings->weight", "model->bert->embeddings->LayerNorm->bias", "model->bert->encoder->layer->0->attention->output->dense->bias", "model->bert->encoder->layer->0->attention->output->dense->weight", "model->bert->encoder->layer->0->attention->self->value->bias", "model->bert->encoder->layer->0->attention->self->value->weight", "model->bert->encoder->layer->0->attention->self->key->bias", "model->bert->encoder->layer->0->attention->self->key->weight", "model->bert->encoder->layer->0->attention->self->query->bias", "model->bert->encoder->layer->0->attention->self->query->weight", "model->bert->encoder->layer->0->attention->output->LayerNorm->bias", "model->bert->encoder->layer->0->output->dense->bias", "model->bert->encoder->layer->0->output->dense->weight", "model->bert->encoder->layer->0->intermediate->dense->bias", "model->bert->encoder->layer->0->intermediate->dense->weight", "model->bert->encoder->layer->0->output->LayerNorm->bias", "model->bert->encoder->layer->1->attention->output->dense->bias", "model->bert->encoder->layer->1->attention->output->dense->weight", "model->bert->encoder->layer->1->attention->self->value->bias", "model->bert->encoder->layer->1->attention->self->value->weight", "model->bert->encoder->layer->1->attention->self->key->bias", "model->bert->encoder->layer->1->attention->self->key->weight", "model->bert->encoder->layer->1->attention->self->query->bias", "model->bert->encoder->layer->1->attention->self->query->weight", "model->bert->encoder->layer->1->attention->output->LayerNorm->bias", "model->bert->encoder->layer->1->output->dense->bias", "model->bert->encoder->layer->1->output->dense->weight", "model->bert->encoder->layer->1->intermediate->dense->bias", "model->bert->encoder->layer->1->intermediate->dense->weight", "model->bert->encoder->layer->1->output->LayerNorm->bias", "model->bert->encoder->layer->2->attention->output->dense->bias", "model->bert->encoder->layer->2->attention->output->dense->weight", "model->bert->encoder->layer->2->attention->self->value->bias", "model->bert->encoder->layer->2->attention->self->value->weight", "model->bert->encoder->layer->2->attention->self->key->bias", "model->bert->encoder->layer->2->attention->self->key->weight", "model->bert->encoder->layer->2->attention->self->query->bias", "model->bert->encoder->layer->2->attention->self->query->weight", "model->bert->encoder->layer->2->attention->output->LayerNorm->bias", "model->bert->encoder->layer->2->output->dense->bias", "model->bert->encoder->layer->2->output->dense->weight", "model->bert->encoder->layer->2->intermediate->dense->bias", "model->bert->encoder->layer->2->intermediate->dense->weight", "model->bert->encoder->layer->2->output->LayerNorm->bias", "model->bert->encoder->layer->3->attention->output->dense->bias", "model->bert->encoder->layer->3->attention->output->dense->weight", "model->bert->encoder->layer->3->attention->self->value->bias", "model->bert->encoder->layer->3->attention->self->value->weight", "model->bert->encoder->layer->3->attention->self->key->bias", "model->bert->encoder->layer->3->attention->self->key->weight", "model->bert->encoder->layer->3->attention->self->query->bias", "model->bert->encoder->layer->3->attention->self->query->weight", "model->bert->encoder->layer->3->attention->output->LayerNorm->bias", "model->bert->encoder->layer->3->output->dense->bias", "model->bert->encoder->layer->3->output->dense->weight", "model->bert->encoder->layer->3->intermediate->dense->bias", "model->bert->encoder->layer->3->intermediate->dense->weight", "model->bert->encoder->layer->3->output->LayerNorm->bias", "model->bert->encoder->layer->4->attention->output->dense->bias", "model->bert->encoder->layer->4->attention->output->dense->weight", "model->bert->encoder->layer->4->attention->self->value->bias", "model->bert->encoder->layer->4->attention->self->value->weight", "model->bert->encoder->layer->4->attention->self->key->bias", "model->bert->encoder->layer->4->attention->self->key->weight", "model->bert->encoder->layer->4->attention->self->query->bias", "model->bert->encoder->layer->4->attention->self->query->weight", "model->bert->encoder->layer->4->attention->output->LayerNorm->bias", "model->bert->encoder->layer->4->output->dense->bias", "model->bert->encoder->layer->4->output->dense->weight", "model->bert->encoder->layer->4->intermediate->dense->bias", "model->bert->encoder->layer->4->intermediate->dense->weight", "model->bert->encoder->layer->4->output->LayerNorm->bias", ]
  __buffers__ = []
  __annotations__ = []
  __annotations__["model->classifier->bias"] = Tensor
  __annotations__["model->classifier->weight"] = Tensor
  __annotations__["model->bert->pooler->dense->bias"] = Tensor
  __annotations__["model->bert->pooler->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->embeddings->LayerNorm->weight"] = Tensor
  __annotations__["model->bert->embeddings->position_embeddings->weight"] = Tensor
  __annotations__["model->bert->embeddings->token_type_embeddings->weight"] = Tensor
  __annotations__["model->bert->embeddings->word_embeddings->weight"] = Tensor
  __annotations__["model->bert->embeddings->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->value->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->key->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->query->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->0->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->0->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->value->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->key->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->query->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->1->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->1->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->value->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->key->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->query->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->2->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->2->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->value->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->key->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->query->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->3->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->3->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->value->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->value->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->key->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->key->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->query->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->self->query->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->attention->output->LayerNorm->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->output->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->output->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->intermediate->dense->bias"] = Tensor
  __annotations__["model->bert->encoder->layer->4->intermediate->dense->weight"] = Tensor
  __annotations__["model->bert->encoder->layer->4->output->LayerNorm->bias"] = Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
