class NeuronModule(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  model : __torch__.torch.classes.neuron.Model
  states : __torch__.torch.nn.modules.container.ParameterList
  weights : __torch__.torch.nn.modules.container.ParameterDict
  def forward(self: __torch__.torch_neuronx.xla_impl.trace.NeuronModule,
    argument_1: Tensor,
    argument_2: Tensor,
    argument_3: Tensor) -> Tuple[Tensor]:
    model = self.model
    weights = self.weights
    model__bert__encoder__layer__4__output__LayerNorm__bias = getattr(weights, "model->bert->encoder->layer->4->output->LayerNorm->bias")
    weights0 = self.weights
    model__bert__encoder__layer__4__intermediate__dense__weight = getattr(weights0, "model->bert->encoder->layer->4->intermediate->dense->weight")
    weights1 = self.weights
    model__bert__encoder__layer__4__intermediate__dense__bias = getattr(weights1, "model->bert->encoder->layer->4->intermediate->dense->bias")
    weights2 = self.weights
    model__bert__encoder__layer__4__output__dense__weight = getattr(weights2, "model->bert->encoder->layer->4->output->dense->weight")
    weights3 = self.weights
    model__bert__encoder__layer__4__output__dense__bias = getattr(weights3, "model->bert->encoder->layer->4->output->dense->bias")
    weights4 = self.weights
    model__bert__encoder__layer__4__attention__output__LayerNorm__bias = getattr(weights4, "model->bert->encoder->layer->4->attention->output->LayerNorm->bias")
    weights5 = self.weights
    model__bert__encoder__layer__4__attention__self__query__weight = getattr(weights5, "model->bert->encoder->layer->4->attention->self->query->weight")
    weights6 = self.weights
    model__bert__encoder__layer__4__attention__self__query__bias = getattr(weights6, "model->bert->encoder->layer->4->attention->self->query->bias")
    weights7 = self.weights
    model__bert__encoder__layer__4__attention__self__key__weight = getattr(weights7, "model->bert->encoder->layer->4->attention->self->key->weight")
    weights8 = self.weights
    model__bert__encoder__layer__4__attention__self__key__bias = getattr(weights8, "model->bert->encoder->layer->4->attention->self->key->bias")
    weights9 = self.weights
    model__bert__encoder__layer__4__attention__self__value__weight = getattr(weights9, "model->bert->encoder->layer->4->attention->self->value->weight")
    weights10 = self.weights
    model__bert__encoder__layer__4__attention__self__value__bias = getattr(weights10, "model->bert->encoder->layer->4->attention->self->value->bias")
    weights11 = self.weights
    model__bert__encoder__layer__4__attention__output__dense__weight = getattr(weights11, "model->bert->encoder->layer->4->attention->output->dense->weight")
    weights12 = self.weights
    model__bert__encoder__layer__4__attention__output__dense__bias = getattr(weights12, "model->bert->encoder->layer->4->attention->output->dense->bias")
    weights13 = self.weights
    model__bert__encoder__layer__3__output__LayerNorm__bias = getattr(weights13, "model->bert->encoder->layer->3->output->LayerNorm->bias")
    weights14 = self.weights
    model__bert__encoder__layer__3__intermediate__dense__weight = getattr(weights14, "model->bert->encoder->layer->3->intermediate->dense->weight")
    weights15 = self.weights
    model__bert__encoder__layer__3__intermediate__dense__bias = getattr(weights15, "model->bert->encoder->layer->3->intermediate->dense->bias")
    weights16 = self.weights
    model__bert__encoder__layer__3__output__dense__weight = getattr(weights16, "model->bert->encoder->layer->3->output->dense->weight")
    weights17 = self.weights
    model__bert__encoder__layer__3__output__dense__bias = getattr(weights17, "model->bert->encoder->layer->3->output->dense->bias")
    weights18 = self.weights
    model__bert__encoder__layer__3__attention__output__LayerNorm__bias = getattr(weights18, "model->bert->encoder->layer->3->attention->output->LayerNorm->bias")
    weights19 = self.weights
    model__bert__encoder__layer__3__attention__self__query__weight = getattr(weights19, "model->bert->encoder->layer->3->attention->self->query->weight")
    weights20 = self.weights
    model__bert__encoder__layer__3__attention__self__query__bias = getattr(weights20, "model->bert->encoder->layer->3->attention->self->query->bias")
    weights21 = self.weights
    model__bert__encoder__layer__3__attention__self__key__weight = getattr(weights21, "model->bert->encoder->layer->3->attention->self->key->weight")
    weights22 = self.weights
    model__bert__encoder__layer__3__attention__self__key__bias = getattr(weights22, "model->bert->encoder->layer->3->attention->self->key->bias")
    weights23 = self.weights
    model__bert__encoder__layer__3__attention__self__value__weight = getattr(weights23, "model->bert->encoder->layer->3->attention->self->value->weight")
    weights24 = self.weights
    model__bert__encoder__layer__3__attention__self__value__bias = getattr(weights24, "model->bert->encoder->layer->3->attention->self->value->bias")
    weights25 = self.weights
    model__bert__encoder__layer__3__attention__output__dense__weight = getattr(weights25, "model->bert->encoder->layer->3->attention->output->dense->weight")
    weights26 = self.weights
    model__bert__encoder__layer__3__attention__output__dense__bias = getattr(weights26, "model->bert->encoder->layer->3->attention->output->dense->bias")
    weights27 = self.weights
    model__bert__encoder__layer__2__output__LayerNorm__bias = getattr(weights27, "model->bert->encoder->layer->2->output->LayerNorm->bias")
    weights28 = self.weights
    model__bert__encoder__layer__2__intermediate__dense__weight = getattr(weights28, "model->bert->encoder->layer->2->intermediate->dense->weight")
    weights29 = self.weights
    model__bert__encoder__layer__2__intermediate__dense__bias = getattr(weights29, "model->bert->encoder->layer->2->intermediate->dense->bias")
    weights30 = self.weights
    model__bert__encoder__layer__2__output__dense__weight = getattr(weights30, "model->bert->encoder->layer->2->output->dense->weight")
    weights31 = self.weights
    model__bert__encoder__layer__2__output__dense__bias = getattr(weights31, "model->bert->encoder->layer->2->output->dense->bias")
    weights32 = self.weights
    model__bert__encoder__layer__2__attention__output__LayerNorm__bias = getattr(weights32, "model->bert->encoder->layer->2->attention->output->LayerNorm->bias")
    weights33 = self.weights
    model__bert__encoder__layer__2__attention__self__query__weight = getattr(weights33, "model->bert->encoder->layer->2->attention->self->query->weight")
    weights34 = self.weights
    model__bert__encoder__layer__2__attention__self__query__bias = getattr(weights34, "model->bert->encoder->layer->2->attention->self->query->bias")
    weights35 = self.weights
    model__bert__encoder__layer__2__attention__self__key__weight = getattr(weights35, "model->bert->encoder->layer->2->attention->self->key->weight")
    weights36 = self.weights
    model__bert__encoder__layer__2__attention__self__key__bias = getattr(weights36, "model->bert->encoder->layer->2->attention->self->key->bias")
    weights37 = self.weights
    model__bert__encoder__layer__2__attention__self__value__weight = getattr(weights37, "model->bert->encoder->layer->2->attention->self->value->weight")
    weights38 = self.weights
    model__bert__encoder__layer__2__attention__self__value__bias = getattr(weights38, "model->bert->encoder->layer->2->attention->self->value->bias")
    weights39 = self.weights
    model__bert__encoder__layer__2__attention__output__dense__weight = getattr(weights39, "model->bert->encoder->layer->2->attention->output->dense->weight")
    weights40 = self.weights
    model__bert__encoder__layer__2__attention__output__dense__bias = getattr(weights40, "model->bert->encoder->layer->2->attention->output->dense->bias")
    weights41 = self.weights
    model__bert__encoder__layer__1__output__LayerNorm__bias = getattr(weights41, "model->bert->encoder->layer->1->output->LayerNorm->bias")
    weights42 = self.weights
    model__bert__encoder__layer__1__intermediate__dense__weight = getattr(weights42, "model->bert->encoder->layer->1->intermediate->dense->weight")
    weights43 = self.weights
    model__bert__encoder__layer__1__intermediate__dense__bias = getattr(weights43, "model->bert->encoder->layer->1->intermediate->dense->bias")
    weights44 = self.weights
    model__bert__encoder__layer__1__output__dense__weight = getattr(weights44, "model->bert->encoder->layer->1->output->dense->weight")
    weights45 = self.weights
    model__bert__encoder__layer__1__output__dense__bias = getattr(weights45, "model->bert->encoder->layer->1->output->dense->bias")
    weights46 = self.weights
    model__bert__encoder__layer__1__attention__output__LayerNorm__bias = getattr(weights46, "model->bert->encoder->layer->1->attention->output->LayerNorm->bias")
    weights47 = self.weights
    model__bert__encoder__layer__1__attention__self__query__weight = getattr(weights47, "model->bert->encoder->layer->1->attention->self->query->weight")
    weights48 = self.weights
    model__bert__encoder__layer__1__attention__self__query__bias = getattr(weights48, "model->bert->encoder->layer->1->attention->self->query->bias")
    weights49 = self.weights
    model__bert__encoder__layer__1__attention__self__key__weight = getattr(weights49, "model->bert->encoder->layer->1->attention->self->key->weight")
    weights50 = self.weights
    model__bert__encoder__layer__1__attention__self__key__bias = getattr(weights50, "model->bert->encoder->layer->1->attention->self->key->bias")
    weights51 = self.weights
    model__bert__encoder__layer__1__attention__self__value__weight = getattr(weights51, "model->bert->encoder->layer->1->attention->self->value->weight")
    weights52 = self.weights
    model__bert__encoder__layer__1__attention__self__value__bias = getattr(weights52, "model->bert->encoder->layer->1->attention->self->value->bias")
    weights53 = self.weights
    model__bert__encoder__layer__1__attention__output__dense__weight = getattr(weights53, "model->bert->encoder->layer->1->attention->output->dense->weight")
    weights54 = self.weights
    model__bert__encoder__layer__1__attention__output__dense__bias = getattr(weights54, "model->bert->encoder->layer->1->attention->output->dense->bias")
    weights55 = self.weights
    model__bert__encoder__layer__0__output__LayerNorm__bias = getattr(weights55, "model->bert->encoder->layer->0->output->LayerNorm->bias")
    weights56 = self.weights
    model__bert__encoder__layer__0__intermediate__dense__weight = getattr(weights56, "model->bert->encoder->layer->0->intermediate->dense->weight")
    weights57 = self.weights
    model__bert__encoder__layer__0__intermediate__dense__bias = getattr(weights57, "model->bert->encoder->layer->0->intermediate->dense->bias")
    weights58 = self.weights
    model__bert__encoder__layer__0__output__dense__weight = getattr(weights58, "model->bert->encoder->layer->0->output->dense->weight")
    weights59 = self.weights
    model__bert__encoder__layer__0__output__dense__bias = getattr(weights59, "model->bert->encoder->layer->0->output->dense->bias")
    weights60 = self.weights
    model__bert__encoder__layer__0__attention__output__LayerNorm__bias = getattr(weights60, "model->bert->encoder->layer->0->attention->output->LayerNorm->bias")
    weights61 = self.weights
    model__bert__encoder__layer__0__attention__self__query__weight = getattr(weights61, "model->bert->encoder->layer->0->attention->self->query->weight")
    weights62 = self.weights
    model__bert__encoder__layer__0__attention__self__query__bias = getattr(weights62, "model->bert->encoder->layer->0->attention->self->query->bias")
    weights63 = self.weights
    model__bert__encoder__layer__0__attention__self__key__weight = getattr(weights63, "model->bert->encoder->layer->0->attention->self->key->weight")
    weights64 = self.weights
    model__bert__encoder__layer__0__attention__self__key__bias = getattr(weights64, "model->bert->encoder->layer->0->attention->self->key->bias")
    weights65 = self.weights
    model__bert__encoder__layer__0__attention__self__value__weight = getattr(weights65, "model->bert->encoder->layer->0->attention->self->value->weight")
    weights66 = self.weights
    model__bert__encoder__layer__0__attention__self__value__bias = getattr(weights66, "model->bert->encoder->layer->0->attention->self->value->bias")
    weights67 = self.weights
    model__bert__encoder__layer__0__attention__output__dense__weight = getattr(weights67, "model->bert->encoder->layer->0->attention->output->dense->weight")
    weights68 = self.weights
    model__bert__encoder__layer__0__attention__output__dense__bias = getattr(weights68, "model->bert->encoder->layer->0->attention->output->dense->bias")
    weights69 = self.weights
    model__bert__embeddings__LayerNorm__bias = getattr(weights69, "model->bert->embeddings->LayerNorm->bias")
    weights70 = self.weights
    model__bert__embeddings__word_embeddings__weight = getattr(weights70, "model->bert->embeddings->word_embeddings->weight")
    weights71 = self.weights
    model__bert__embeddings__token_type_embeddings__weight = getattr(weights71, "model->bert->embeddings->token_type_embeddings->weight")
    weights72 = self.weights
    model__bert__embeddings__position_embeddings__weight = getattr(weights72, "model->bert->embeddings->position_embeddings->weight")
    weights73 = self.weights
    model__bert__embeddings__LayerNorm__weight = getattr(weights73, "model->bert->embeddings->LayerNorm->weight")
    weights74 = self.weights
    model__bert__encoder__layer__0__attention__output__LayerNorm__weight = getattr(weights74, "model->bert->encoder->layer->0->attention->output->LayerNorm->weight")
    weights75 = self.weights
    model__bert__encoder__layer__0__output__LayerNorm__weight = getattr(weights75, "model->bert->encoder->layer->0->output->LayerNorm->weight")
    weights76 = self.weights
    model__bert__encoder__layer__1__attention__output__LayerNorm__weight = getattr(weights76, "model->bert->encoder->layer->1->attention->output->LayerNorm->weight")
    weights77 = self.weights
    model__bert__encoder__layer__1__output__LayerNorm__weight = getattr(weights77, "model->bert->encoder->layer->1->output->LayerNorm->weight")
    weights78 = self.weights
    model__bert__encoder__layer__2__attention__output__LayerNorm__weight = getattr(weights78, "model->bert->encoder->layer->2->attention->output->LayerNorm->weight")
    weights79 = self.weights
    model__bert__encoder__layer__2__output__LayerNorm__weight = getattr(weights79, "model->bert->encoder->layer->2->output->LayerNorm->weight")
    weights80 = self.weights
    model__bert__encoder__layer__3__attention__output__LayerNorm__weight = getattr(weights80, "model->bert->encoder->layer->3->attention->output->LayerNorm->weight")
    weights81 = self.weights
    model__bert__encoder__layer__3__output__LayerNorm__weight = getattr(weights81, "model->bert->encoder->layer->3->output->LayerNorm->weight")
    weights82 = self.weights
    model__bert__encoder__layer__4__attention__output__LayerNorm__weight = getattr(weights82, "model->bert->encoder->layer->4->attention->output->LayerNorm->weight")
    weights83 = self.weights
    model__bert__encoder__layer__4__output__LayerNorm__weight = getattr(weights83, "model->bert->encoder->layer->4->output->LayerNorm->weight")
    weights84 = self.weights
    model__bert__pooler__dense__weight = getattr(weights84, "model->bert->pooler->dense->weight")
    weights85 = self.weights
    model__bert__pooler__dense__bias = getattr(weights85, "model->bert->pooler->dense->bias")
    weights86 = self.weights
    model__classifier__weight = getattr(weights86, "model->classifier->weight")
    weights87 = self.weights
    model__classifier__bias = getattr(weights87, "model->classifier->bias")
    _0 = [argument_1, argument_2, argument_3, model__classifier__bias, model__classifier__weight, model__bert__pooler__dense__bias, model__bert__pooler__dense__weight, model__bert__encoder__layer__4__output__LayerNorm__weight, model__bert__encoder__layer__4__attention__output__LayerNorm__weight, model__bert__encoder__layer__3__output__LayerNorm__weight, model__bert__encoder__layer__3__attention__output__LayerNorm__weight, model__bert__encoder__layer__2__output__LayerNorm__weight, model__bert__encoder__layer__2__attention__output__LayerNorm__weight, model__bert__encoder__layer__1__output__LayerNorm__weight, model__bert__encoder__layer__1__attention__output__LayerNorm__weight, model__bert__encoder__layer__0__output__LayerNorm__weight, model__bert__encoder__layer__0__attention__output__LayerNorm__weight, model__bert__embeddings__LayerNorm__weight, model__bert__embeddings__position_embeddings__weight, model__bert__embeddings__token_type_embeddings__weight, model__bert__embeddings__word_embeddings__weight, model__bert__embeddings__LayerNorm__bias, model__bert__encoder__layer__0__attention__output__dense__bias, model__bert__encoder__layer__0__attention__output__dense__weight, model__bert__encoder__layer__0__attention__self__value__bias, model__bert__encoder__layer__0__attention__self__value__weight, model__bert__encoder__layer__0__attention__self__key__bias, model__bert__encoder__layer__0__attention__self__key__weight, model__bert__encoder__layer__0__attention__self__query__bias, model__bert__encoder__layer__0__attention__self__query__weight, model__bert__encoder__layer__0__attention__output__LayerNorm__bias, model__bert__encoder__layer__0__output__dense__bias, model__bert__encoder__layer__0__output__dense__weight, model__bert__encoder__layer__0__intermediate__dense__bias, model__bert__encoder__layer__0__intermediate__dense__weight, model__bert__encoder__layer__0__output__LayerNorm__bias, model__bert__encoder__layer__1__attention__output__dense__bias, model__bert__encoder__layer__1__attention__output__dense__weight, model__bert__encoder__layer__1__attention__self__value__bias, model__bert__encoder__layer__1__attention__self__value__weight, model__bert__encoder__layer__1__attention__self__key__bias, model__bert__encoder__layer__1__attention__self__key__weight, model__bert__encoder__layer__1__attention__self__query__bias, model__bert__encoder__layer__1__attention__self__query__weight, model__bert__encoder__layer__1__attention__output__LayerNorm__bias, model__bert__encoder__layer__1__output__dense__bias, model__bert__encoder__layer__1__output__dense__weight, model__bert__encoder__layer__1__intermediate__dense__bias, model__bert__encoder__layer__1__intermediate__dense__weight, model__bert__encoder__layer__1__output__LayerNorm__bias, model__bert__encoder__layer__2__attention__output__dense__bias, model__bert__encoder__layer__2__attention__output__dense__weight, model__bert__encoder__layer__2__attention__self__value__bias, model__bert__encoder__layer__2__attention__self__value__weight, model__bert__encoder__layer__2__attention__self__key__bias, model__bert__encoder__layer__2__attention__self__key__weight, model__bert__encoder__layer__2__attention__self__query__bias, model__bert__encoder__layer__2__attention__self__query__weight, model__bert__encoder__layer__2__attention__output__LayerNorm__bias, model__bert__encoder__layer__2__output__dense__bias, model__bert__encoder__layer__2__output__dense__weight, model__bert__encoder__layer__2__intermediate__dense__bias, model__bert__encoder__layer__2__intermediate__dense__weight, model__bert__encoder__layer__2__output__LayerNorm__bias, model__bert__encoder__layer__3__attention__output__dense__bias, model__bert__encoder__layer__3__attention__output__dense__weight, model__bert__encoder__layer__3__attention__self__value__bias, model__bert__encoder__layer__3__attention__self__value__weight, model__bert__encoder__layer__3__attention__self__key__bias, model__bert__encoder__layer__3__attention__self__key__weight, model__bert__encoder__layer__3__attention__self__query__bias, model__bert__encoder__layer__3__attention__self__query__weight, model__bert__encoder__layer__3__attention__output__LayerNorm__bias, model__bert__encoder__layer__3__output__dense__bias, model__bert__encoder__layer__3__output__dense__weight, model__bert__encoder__layer__3__intermediate__dense__bias, model__bert__encoder__layer__3__intermediate__dense__weight, model__bert__encoder__layer__3__output__LayerNorm__bias, model__bert__encoder__layer__4__attention__output__dense__bias, model__bert__encoder__layer__4__attention__output__dense__weight, model__bert__encoder__layer__4__attention__self__value__bias, model__bert__encoder__layer__4__attention__self__value__weight, model__bert__encoder__layer__4__attention__self__key__bias, model__bert__encoder__layer__4__attention__self__key__weight, model__bert__encoder__layer__4__attention__self__query__bias, model__bert__encoder__layer__4__attention__self__query__weight, model__bert__encoder__layer__4__attention__output__LayerNorm__bias, model__bert__encoder__layer__4__output__dense__bias, model__bert__encoder__layer__4__output__dense__weight, model__bert__encoder__layer__4__intermediate__dense__bias, model__bert__encoder__layer__4__intermediate__dense__weight, model__bert__encoder__layer__4__output__LayerNorm__bias]
    _1, = ops.neuron.forward_v2(_0, model)
    return (_1,)
